# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/fltk-config /usr/bin/glib-config /usr/bin/glib-gettextize /usr/bin/oyranos-config /usr/bin/pkg-config /usr/bin/python gcc-c++ ilmbase-devel liblcms-devel libpng-devel zlib-devel
# END SourceDeps(oneline)
BuildRequires: libpixman-devel libXinerama-devel libXext-devel libXfixes-devel libgomp-devel
%global icc_version 0.51

Name:           cinepaint
Version:        1.3
Release:        alt2_9
Summary:        Painting and image retouching program

Group:          Graphics
License:        GPLv2+ and LGPLv2+ and MIT
URL:            http://www.cinepaint.org/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz
# http://www.behrmann.name/index.php?option=com_content&task=view&id=33&Itemid=69
Source1:        http://downloads.sourceforge.net/oyranos/icc_examin-%{icc_version}.tar.bz2
Patch2:         cinepaint-0.22-0-rm_rpath.patch
Patch3:         cinepaint-0.22-0-pc_req.patch
Patch4:         cinepaint-0.22-0-libdir.patch
Patch15:        cinepaint-0.22-ENOY.patch
Patch16:        cinepaint-0.25-oyranos_include.patch
Patch17:        cinepaint-0.25-oyranos_cms.patch
Patch18:        cinepaint-0.25-oyranos_header.patch
Patch21:        cinepaint-1.3-c++half.patch
Patch22:        cinepaint-1.3-fixlink.patch
Patch23:        cinepaint-1.3-fixlink2.patch
Patch25:        cinepaint-1.3-oy040.patch
Patch30:        icc_examin-0.51-x11.patch

#ifnarch %%{ix86} ppc
BuildRequires:  autoconf libtool
#endif
BuildRequires:  desktop-file-utils
BuildRequires:  docbook-utils
BuildRequires:  flex flex
BuildRequires:  libfltk-devel
BuildRequires:  ftgl-devel
BuildRequires:  gettext
#Needed by autogen.sh
BuildRequires:  gtk+-devel
BuildRequires:  gtk2-devel >= 2.10.8
BuildRequires:  libgutenprint-devel >= 5.0.0
BuildRequires:  python-devel
BuildRequires:  lcms-devel >= 1.16
BuildRequires:  libjpeg-devel
BuildRequires: libtiffxx-devel libtiff-devel
BuildRequires:  libXcm-devel >= 0.5.0
BuildRequires:  libXmu-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  openexr-devel >= 1.6.0
BuildRequires:  oyranos-devel
BuildRequires:  elektra-devel
BuildRequires:  libxml2-devel
BuildRequires:  libyajl-devel

Requires:       fonts-ttf-dejavu
Requires:       oyranos
Requires:       %{name}-libs = %{version}-%{release}

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Source44: import.info
Patch33: cinepaint-1.3-alt-fix-compiler_warning.patch
Patch34: cinepaint-1.3-alt-libcinepaint-fix-linking.patch


%description
CinePaint is used for motion picture frame-by-frame retouching, dirt removal,
wire rig removal, render repair, background plates, and 3d model textures.
It's been used on many feature films, including The Last Samurai where it was
used to add flying arrows. It's also being used by pro photographers who need
greater color fidelity than is available in other tools.

%package libs
Summary:        Libraries for %{name}
Group:          System/Libraries

%description libs
CinePaint is used for motion picture frame-by-frame retouching, dirt removal,
wire rig removal, render repair, background plates, and 3d model textures.
It's been used on many feature films, including The Last Samurai where it was
used to add flying arrows. It's also being used by pro photographers who need
greater color fidelity than is available in other tools.

%package devel
Summary:        Development package for %{name}
Group:          Development/C
Requires:       %{name}-libs = %{version}-%{release}
Requires:       automake

%description devel
This package contains development files for %{name}.

%prep
%setup -q -n cinepaint
%setup -q -D -T -a 1 -n cinepaint
%patch2 -p1 -b .rm_rpath
%patch3 -p1 -b .req
%patch4 -p1 -b .libdir
%patch15 -p1 -b .enoy
%patch16 -p0 -b .inc
%patch17 -p0 -b .cms
%patch18 -p0 -b .headers
%patch21 -p1 -b .c++half
%patch22 -p1 -b .fixlink
%patch23 -p1 -b .fixlink2
%patch25 -p1 -b .oy040
pushd icc_examin-%{icc_version}
%patch30 -p1 -b .x11
popd

# Update bundled version of icc_examin
rm -rf plug-ins/icc_examin/icc_examin
cp -pR icc_examin-%{icc_version} plug-ins/icc_examin/icc_examin

sed -i -e 's|AC_PATH_PROGS(RPMBUILD, rpm, :)||' configure.in
#sed -i -e 's|PNG_CONFIG libpng|PNG_CONFIG libpng10|' configure.in

#Disable png until ported to libpng15
sed -i -e '/png/d' plug-ins/Makefile.am

#ifnarch %%{ix86} ppc
#autoconf -f -i
#find . -name Makefile.in -exec rm {} ';'
#rm *.m4
%patch34 -p1
sed -i s,jinit_memory_mgr,jpeg_set_colorspace, configure*
sh autogen.sh
#endif

for i in AUTHORS COPYING LICENSE README ;do
  install -p -m 0644 libhalf/$i $i.libhalf
done
sed -i 's|\r||'  NEWS COPYING
%patch33 -p1

# prevent interp_md5 to be used
#rm plug-ins/script-fu/interp_md5.{h,c}


%build
%configure \
  --disable-static \
  --enable-gtk2 \
  --with-pixmap=%{_datadir}/pixmaps \
  --with-python=%{_bindir}/python \
  --enable-precision=float \
  --enable-pygimp

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# clean unused-direct-shlib-dependencies

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"
find $RPM_BUILD_ROOT -name '*.la' | xargs rm -f

#chmod 755 $RPM_BUILD_ROOT%%{_libdir}/cinepaint/%%{cinever}/plug-ins/gtkcons.py

desktop-file-install \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications    \
  --remove-category Application                      \
  --mode 644                                         \
${RPM_BUILD_ROOT}%{_datadir}/applications/cinepaint.desktop

# Fix multilib cinepaint-devel
sed -i -e 's|plug_in_dir=%{_libdir}/cinepaint/%{cinever}|plug_in_dir="$(pkg-config --variable programplugindir cinepaint-gtk)"|' \
  ${RPM_BUILD_ROOT}%{_bindir}/cinepainttool
touch -r ChangeLog ${RPM_BUILD_ROOT}%{_bindir}/cinepainttool

#Remove bundled fonts
rm -rf $RPM_BUILD_ROOT%{_datadir}/fonts


%find_lang %{name}
%find_lang cinepaint-script-fu
%find_lang cinepaint-std-plugins
cat cinepaint-script-fu.lang | grep lang >> %{name}.lang
cat cinepaint-std-plugins.lang | grep lang >> %{name}.lang

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/cinepaint
%{_bindir}/cinepaint-remote
%{_mandir}/man1/*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/

%{python_sitelibdir_noarch}/* 
%if %{_lib} == "lib64"
%{python_sitelibdir}/*
%endif

%files libs
%doc *.libhalf
%{_libdir}/%{name}/
%{_libdir}/*.so.*

%files devel
%{_bindir}/cinepainttool
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}-gtk.pc
%{_includedir}/%{name}/
%{_datadir}/aclocal/%{name}.m4

%changelog
* Thu Mar 21 2013 Cronbuild Service <cronbuild@altlinux.org> 1.3-alt2_9
- rebuild to get rid of unmets

* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_9
- update to new release by fcimport

* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_8
- update to new release by fcimport

* Mon Jan 28 2013 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_6
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_5
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_4
- update to new release by fcimport

* Mon Jun 18 2012 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_2
- rebuild with new libgutenprint

* Sat Jun 09 2012 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_1
- update to new fc release

